Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 232883 - nvidia-drivers wrong paravirt check
Summary: nvidia-drivers wrong paravirt check
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Highest normal (vote)
Assignee: Tony Vroon
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-24 20:32 UTC by Patrizio Bassi
Modified: 2008-08-12 14:34 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Patrizio Bassi 2008-07-24 20:32:49 UTC
the paravirt check was added due to gpl-only exported symbols, but now needed ones are back to be loose included.

debian
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=419943

and http://lwn.net/Articles/233315/
since 2.6.22

infact my 2.6.26 copy includes:
EXPORT_SYMBOL    (pv_mmu_ops);
paravirt.c


please remove the unneeded check from ebuild, it stops amd64 users from using vsmp option
Comment 1 Tony Vroon gentoo-dev 2008-07-31 13:05:34 UTC
Agreed, this can go. I have applied your patch to both the existing 173.14.09 and to the new 173.14.12 committed for bug #233418. Thank you for your contribution to Gentoo Linux :)
You have been mentioned:
+*nvidia-drivers-173.14.12 (31 Jul 2008)
+
+  31 Jul 2008; <chainsaw@gentoo.org> nvidia-drivers-173.14.09.ebuild,
+  +nvidia-drivers-173.14.12.ebuild:
+  Version bump as requested by Wyatt Epp <epp.8@osu.edu> in bug #233418.
+  Ensure SYSVIPC is enabled as per cucu ionut <cuciferus@gmail.com> in bug
+  #213157. Patch to respect custom CFLAGS by boris64 <genzilla@boris64.net>
+  closes bug #230273. Paravirt exports now usable, delete unnecessary check
+  as per Patrizio Bassi <hetfield666@gmail.com> in bug #232883.
Comment 2 Patrizio Bassi 2008-07-31 16:10:19 UTC
great, thanks you for gentoo work, it's nice to contribute.